For the complete documentation index, see llms.txt. This page is also available as Markdown.

Moderations

Create Moderation

post

OpenAI-compatible moderations endpoint.

Authentication modes:

  • Master key + user field: Use specified user (must exist)

  • API key + user field: Use specified user (must exist)

  • API key without user field: Use the shared "default" user

Authorizations
Otari-KeystringRequired

Enter your API key here (sent as Otari-Key header).

Query parameters
include_rawbooleanOptionalDefault: false
Body

OpenAI-compatible moderation request.

inputany ofRequired

Text, list of texts, or list of content-part dicts to moderate

stringOptional
or
string[]Optional
or
modelstringRequired
userstring · nullableOptional
Responses
200

Successful Response

application/json

Normalized moderation response across providers.

idstringRequired
modelstringRequired
post/api/v1/moderations
POST /api/v1/moderations HTTP/1.1
Otari-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "input": "text",
  "model": "text",
  "user": "text"
}
{
  "id": "text",
  "model": "text",
  "results": [
    {
      "categories": {
        "ANY_ADDITIONAL_PROPERTY": true
      },
      "category_applied_input_types": {
        "ANY_ADDITIONAL_PROPERTY": [
          "text"
        ]
      },
      "category_scores": {
        "ANY_ADDITIONAL_PROPERTY": 1
      },
      "flagged": true,
      "provider_raw": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Last updated

Was this helpful?